jest.mock("../Contexts/UserContext");

import React from "react";
import { BrowserRouter } from "react-router-dom";
import { render, cleanup } from "@testing-library/react";
import SSOForm from "./index";
import addSnapshotSerializer from "../../utils/snapshot";

describe("Sign In Form", () => {
  beforeAll(() => {
    addSnapshotSerializer(expect);
  });

  it("Should render", () => {
    const { container } = render(
      <BrowserRouter>
        <SSOForm />
      </BrowserRouter>
    );
    expect(container).toMatchSnapshot();

    cleanup();
  });
});
